version: 2

tags: [git]

accept_configuration:
  condition: property
  property: features
  not_contains_value: Disable

machine_type:
  Build:
    cores: 4

instructions:
  Build:
    - type: EnvironmentVariable
      variableName: VERIFY_SOURCE_SBOM
      variableValue: "ON"
    - !include "{{qt/qtbase}}/coin_module_build_template_v2.yaml"

  Test:
    - !include "{{qt/qtbase}}/coin_module_test_template_v3.yaml"
    - !include "{{qt/qtbase}}/coin_module_test_docs.yaml"
